ICU 74.2: icu::number::impl::Grouper Class Reference

ICU 74.2 74.2

Public Member Functions | Static Public Member Functions | Friends
icu::number::impl::Grouper Class Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::Grouper:

## Public Member Functions
| Grouper (int16_t grouping1, int16_t grouping2, int16_t minGrouping, UNumberGroupingStrategy strategy)
int16_t | getPrimary () const
int16_t | getSecondary () const

## Static Public Member Functions
static Grouper | forStrategy (UNumberGroupingStrategy grouping)
static Grouper | forProperties (const DecimalFormatProperties &properties)
| Resolve the values in Properties to a Grouper object.

## Friends
struct | MacroProps
struct | MicroProps
struct | SimpleMicroProps
class | NumberFormatterImpl
class | ::icu::number::SimpleNumberFormatter
class | ::icu::numparse::impl::NumberParserImpl
class | impl::GeneratorHelpers

## Detailed Description

Internal:
  Do not use. This API is for internal use only.

Definition at line 1374 of file numberformatter.h.

## Constructor & Destructor Documentation

## ◆ Grouper()

icu::number::impl::Grouper::Grouper | ( | int16_t | grouping1,
|  | int16_t | grouping2,
|  | int16_t | minGrouping,
|  | UNumberGroupingStrategy | strategy
| ) |  |
| inline

Internal:
  Do not use. This API is for internal use only.

Definition at line 1389 of file numberformatter.h.

## Member Function Documentation

## ◆ forProperties()

static Grouper icu::number::impl::Grouper::forProperties | ( | const DecimalFormatProperties & | properties | ) |
| static

Resolve the values in Properties to a Grouper object.

Internal:
  Do not use. This API is for internal use only.

## ◆ forStrategy()

static Grouper icu::number::impl::Grouper::forStrategy | ( | UNumberGroupingStrategy | grouping | ) |
| static

Internal:
  Do not use. This API is for internal use only.

## ◆ getPrimary()

int16_t icu::number::impl::Grouper::getPrimary | ( |  | ) | const

Internal:
  Do not use. This API is for internal use only.

## ◆ getSecondary()

int16_t icu::number::impl::Grouper::getSecondary | ( |  | ) | const

Internal:
  Do not use. This API is for internal use only.

## Friends And Related Symbol Documentation

## ◆ ::icu::number::SimpleNumberFormatter

friend class ::icu::number::SimpleNumberFormatter
| friend

Definition at line 1447 of file numberformatter.h.

## ◆ ::icu::numparse::impl::NumberParserImpl

friend class ::icu::numparse::impl::NumberParserImpl
| friend

Definition at line 1450 of file numberformatter.h.

## ◆ impl::GeneratorHelpers

friend class impl::GeneratorHelpers
| friend

Definition at line 1453 of file numberformatter.h.

## ◆ MacroProps

friend struct MacroProps
| friend

Definition at line 1441 of file numberformatter.h.

## ◆ MicroProps

friend struct MicroProps
| friend

Definition at line 1442 of file numberformatter.h.

## ◆ NumberFormatterImpl

friend class NumberFormatterImpl
| friend

Definition at line 1446 of file numberformatter.h.

## ◆ SimpleMicroProps

friend struct SimpleMicroProps
| friend

Definition at line 1443 of file numberformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h